// http://ionicframework.com/docs/theming/
@import '~@ionic/angular/css/core.css';
@import '~@ionic/angular/css/normalize.css';
@import '~@ionic/angular/css/structure.css';
@import '~@ionic/angular/css/typography.css';
@import '~@ionic/angular/css/display.css';
@import '~@ionic/angular/css/padding.css';
@import '~@ionic/angular/css/float-elements.css';
@import '~@ionic/angular/css/text-alignment.css';
@import '~@ionic/angular/css/text-transformation.css';
@import '~@ionic/angular/css/flex-utils.css';

@import "~@ctrl/ngx-emoji-mart/picker";

// .leaflet-container a.leaflet-popup-close-button {
//     padding: 4px 0px 0 0;
//     width: 24px;
//     height: 22px;
// }

// .search-tooltip {
    
// }

.leaflet-bar-part-single {
    width: 26px !important;
    height: 26px !important;
    background-image: url(assets/icon/local.png);
    background-repeat: no-repeat !important;
    background-size: 20px 20px !important;
    background-position: 3px 3px !important;
  }

.leaflet-control-container .leaflet-routing-container-hide {
    display: none;
}

#altGraphic {
    path { 
        stroke: #3488cf;
        stroke-width: 1.3;
        fill: none;
    }

    .axis path,
    .axis line {
        fill: none;
        stroke: rgb(97, 97, 97);
        stroke-width: 1;
        shape-rendering: crispEdges;
    }
}

.leaflet-top {
    z-index: 1001;

    .leaflet-bar {
        height: 43px;
        width: 45px;
    }

    .leaflet-control-layers {
        top: 73px;
        height: 30px !important;
        width: 30px !important;
    
        .leaflet-control-layers-toggle {
            width: 26px !important;
            height: 24px !important;
            display: block !important;

        }

        .leaflet-control-layers-list {
            height: 100px;
            width: 100px;
            background: white;
            transform: translate(-74px, 27px);

            // &::after {
            //     content: "x";
            // }
        }
    }
}

.leaflet-control-search {
    left: 50px !important;
    top: -53px !important;
    position: absolute;
    width: 280px;

    .search-input {
        height: 33px !important;
        margin: 3px !important;
        width: 98% !important;
    }

    .search-tooltip {
        width: 100%;
        z-index: 1000;
        transform: translateY(-10px);
    }
}

.search-button {
    display: none !important;
}

.search-cancel {
    right: 0 !important;
}

// .leaflet-top.leaflet-right .leaflet-control-zoom-in,
// .leaflet-top.leaflet-left .leaflet-control-zoom-in {
//   border-bottom: 1px solid #ACACAC;
//   border-radius: 1px 1px 0 0;
//   width: 28px;
//   height: 28px;
//   line-height: 28px;
// }

// .leaflet-popup-content-wrapper {
//   border-radius: 1px;
// }
// .leaflet-top.leaflet-left .leaflet-control {
//   border: transparent;
// }
// /*OVRDC Leaflet Modern UI*/
// .leaflet-control-search .search-input {
//   height:28px;
//   font-size: large;
// }
// .leaflet-touch .leaflet-bar a {
//     width: 26px;
//     height: 26px;
//     line-height: 26px;
// }
// .leaflet-control-search .search-cancel {
//     z-index: 401;
//     margin: 7px 5px 0;
// }